Simpler Navigation for Servers and Operating Systems - Please Update Your Bookmarks
Completed: a much simpler Servers and Operating Systems section of the Community. We combined many of the older boards, so you won't have to click through so many levels to get at the information you need. Check the consolidated boards here as many sub-forums are now single boards.
If you have bookmarked forums or discussion boards in Servers and Operating Systems, we suggest you check and update them as needed.
cancel
Showing results for 
Search instead for 
Did you mean: 

Oracle error

Kirill Cherkashin
Frequent Advisor

Oracle error

Hi!

Patching Oracle from 8.1.7.0 to 8.1.7.4 I got next error:

- Linking Oracle
rm -f /oracle817/rdbms/lib/oracle
cc +DA2.0W +DS2.0 -Wl,-PF, linkorderfile -Wl,+Ostaticprediction -Wl,+s -Wl,+n -o ioracle64 -L/oracle817/rdbms/lib64 -L/oracle817/lib64 -o /oracle817/rdbms/lib/oracle `if /usr/bin/getconf KERNEL_BITS | grep "64" > /dev/null ; then echo "-Wl,+pi 16M -Wl,+padtext 1M -Wl,+pd 64M -Wl,+paddata 1M" ; else echo "" ; fi` -Wl,-PF,linkorderfile -Wl,+Ostaticprediction /oracle817/rdbms/lib64/opimai.o /oracle817/rdbms/lib64/ssoraed.o /oracle817/rdbms/lib64/ttcsoi.o /oracle817/rdbms/lib64/kpuasvr.o /oracle817/lib64/nautab.o /oracle817/lib64/naeet.o /oracle817/lib64/naect.o /oracle817/lib64/naedhs.o /oracle817/rdbms/lib64/config.o -lserver8 -lskgxp8 -lclient8 -lvsn8 -lwtcserver8 -lcommon8 -lgeneric8 /oracle817/rdbms/lib64/defopt.o -lknlopt -lslax8 -lpls8 -lplp8 -lserver8 -lclient8 -lvsn8 -lwtcserver8 -lcommon8 -lgeneric8 -lknlopt -lslax8 -lpls8 -lplp8 `cat /oracle817/rdbms/lib64/nmliblist` -ldbicx8 -ldbicx8 -ljox8 -lserver8 -lwwg8 -lobk `sed -e 's/-ljava//g' /oracle817/lib64/ldflags` -lnsgr8 -lnzjs8 -ln8 -lnl8 -lnro8 `sed -e 's/-ljava//g' /oracle817/lib64/ldflags` -lnsgr8 -lnzjs8 -ln8 -lnl8 -lclient8 -lvsn8 -lwtcserver8 -lcommon8 -lgeneric8 -lmm -lnls8 -lcore8 -lnls8 -lcore8 -lnls8 `sed -e 's/-ljava//g' /oracle817/lib64/ldflags` -lnsgr8 -lnzjs8 -ln8 -lnl8 -lnro8 `sed -e 's/-ljava//g' /oracle817/lib64/ldflags` -lnsgr8 -lnzjs8 -ln8 -lnl8 -lclient8 -lvsn8 -lwtcserver8 -lcommon8 -lgeneric8 -ltrace8 -lnls8 -lcore8 -lnls8 -lcore8 -lnls8 -lclient8 -lvsn8 -lwtcserver8 -lcommon8 -lgeneric8 -lnls8 -lcore8 -lnls8 -lcore8 -lnls8 -lserver8 `if ar tv /oracle817/rdbms/lib64/libknlopt.a | grep "kxmnsd.o" > /dev/null 2>&1 ; then echo " " ; else echo "-lordsdo8"; fi` -lordts8 -lctxc8 -lctx8 -lzx8 -lgx8 -lctx8 -lzx8 -lgx8 -lordvirt8 -lnls8 -lcore8 -lnls8 -lcore8 -lnls8 `cat /oracle817/lib64/sysliblist` -lm -lcres
ld: Can't find library for -llibcl.a
Fatal error.
*** Error exit code 1

Stop.
*** Error exit code 1

Stop.
*** Error exit code 1

Stop.
8 REPLIES
Yogeeraj_1
Honored Contributor

Re: Oracle error

hi,

below a quote from metalink:


Solution Description
--------------------
This is due to the fact that you are installing Oracle 8i 8.1.6/8.1.7 64 bits on a HP-UX 11.0 32 bits system.

Solution:
---------
The solution is to either install 32 bit Oracle or upgrade HP-UX 11 to 64 bit.

If it has been confirmed that you are running the correct software, you may need to install libcl.a from the Operating System Media.

HPUXEng64RT.ProgSupport (LANG-64ALIB, MinimumRuntime and Runtime)

Explanation:
------------
To confirm that, do the following:

--
$ getconf KERNEL_BITS # -- check whether OS is 32/64 bits
32

# -- this is 32 bit HP-UX 11
$ cd $ORACLE_HOME/bin
$ file oracle

# if this is the answer, you have 32-bit Oracle

oracle: PA-RISC1.1 shared executable dynamically linked -not stripped

# if this is the answer, you have 64 bit Oracle

oracle: ELF-64 executable object file - PA-RISC 2.0 (LP64)



see if this is applicable to you.

regards
Yogeeraj
No person was ever honoured for what he received. Honour has been the reward for what he gave (clavin coolidge)
T G Manikandan
Honored Contributor

Re: Oracle error

The file libcl.a are C library files.
THey should be present in /usr/lib.
check for the LD_LIBRARY_PATH whether the path is included.

Also make sure that the PATH for the cc is correcti.e.cc is picked from the correct path.

If you do not have those files in /usr/lib then make sure you install those filesets.


THanks
Kirill Cherkashin
Frequent Advisor

Re: Oracle error

Forgot to mention. Of course,I'm using 64-bit version of HP-UX and Oracle. Also,/usr/lib in SHLIB_PATH and LD_LIBRARY_PATH.
T G Manikandan
Honored Contributor

Re: Oracle error

Did you check which 'cc' you are using.
Is it referred to /usr/ccs/bin or you have a seperate executable for cc.
check whether it has the right path.

Can you find that library there? /usr/lib or /usr/lib/pa20_64

Revert on the same.

Kirill Cherkashin
Frequent Advisor

Re: Oracle error

the library locates in /usr/lib and cc pointed to the right place.
T G Manikandan
Honored Contributor

Re: Oracle error

explicitly set the path for ld as

LPATH=/usr/lib:/usr/ccs/lib:${LPATH};export LPATH

So that ld searches /usr/lib

Revert
Kirill Cherkashin
Frequent Advisor

Re: Oracle error

LPATH previosly also was set to /usr/lib...
Yogeeraj_1
Honored Contributor

Re: Oracle error

hi,

attached note 1016684.102 (from metalink) discusses this issue.

hope this helps!

regards
Yogeeraj
No person was ever honoured for what he received. Honour has been the reward for what he gave (clavin coolidge)